import 'package:hamlemuhcrm/features/customers/model/firma_yetkililer.dart';

class FirmaYetkililerCevap {
  List<FirmaYetkililer>? firmaYetkililer;
  int? success;
  String? message;

  FirmaYetkililerCevap({this.firmaYetkililer, this.success, this.message});

  FirmaYetkililerCevap.fromJson(Map<String, dynamic> json) {
    if (json['firma_yetkililer'] != null) {
      firmaYetkililer = <FirmaYetkililer>[];
      json['firma_yetkililer'].forEach((v) {
        firmaYetkililer!.add(FirmaYetkililer.fromJson(v));
      });
    }
    success = json['success'];
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (firmaYetkililer != null) {
      data['firma_yetkililer'] =
          firmaYetkililer!.map((v) => v.toJson()).toList();
    }
    data['success'] = success;
    data['message'] = message;
    return data;
  }
}
